: Class StatisticsModule

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class StatisticsModule

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--StatisticsModule

class StatisticsModule
extends java.awt.Frame
implements java.awt.event.ActionListener, java.awt.event.KeyListener, java.awt.event.MouseMotionListener, java.awt.event.MouseListener

This class is supposed to show basic statistical data about the recognized objects.

See Also:
  Serialized Form

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`java.awt.Menu` | `file`
`java.awt.MenuBar` | `menubar`
`private ObjectManager` | `object_manager`
`java.awt.MenuItem` | `quit_menu`

Fields inherited from class java.awt.Frame
`base, CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, frameSerializedDataVersion, HAND_CURSOR, icon, ICONIFIED, mbManagement, menuBar, MOVE_CURSOR, N_RESIZE_CURSOR, nameCounter, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, ownedWindows, resizable, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, serialVersionUID, state, SW_RESIZE_CURSOR, TEXT_CURSOR, title, W_RESIZE_CURSOR, WAIT_CURSOR, weakThis`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`StatisticsModule(ObjectManager object_manager)` The constructor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Handle action events
`void` | `clearScreen()` Clear screen
`static int[]` | `getSlidingWindowHistogram(double[] data, double min, double max, double dx, double window_width)` Plot sliding window
`void` | `keyPressed(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `keyReleased(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `keyTyped(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Handle mouse motion events
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseExited(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Handle mouse motion events
`void` | `mousePressed(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `paint(java.awt.Graphics g)` Overloaded for double buffering.
`void` | `plotBarGraph(double[] data, double min, double max, double dx)` Plot bar graph
`void` | `plotSlidingWindowGraph(double[] data, double min, double max, double dx, double window_width)` Plot sliding window
`void` | `update(java.awt.Graphics g)` Handle double buffering and do the real drawing.

Methods inherited from class java.awt.Frame
`, addNotify, addToFrameList, constructComponentName, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, initIDs, isResizable, paramString, postProcessKeyEvent, readObject, remove, removeFromFrameList, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle, writeObject`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postWindowEvent, preProcessKeyEvent, processEvent, processWindowEvent, removeOwnedWindow, removeWindowListener, setCursor, setFocusOwner, setWarningString, show, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getCursorTarget, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, setFont, setLayout, updateCursor, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getIntrinsicCursor, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### file

    public java.awt.Menu file

### menubar

    public java.awt.MenuBar menubar

### quit_menu

    public java.awt.MenuItem quit_menu

### object_manager

    private ObjectManager object_manager

Constructor Detail

### StatisticsModule

    public StatisticsModule(ObjectManager object_manager)

  The constructor.

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overloaded for double buffering.
  Overrides:
    paint in class java.awt.Container

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyPressed in interface java.awt.event.KeyListener

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyReleased in interface java.awt.event.KeyListener

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyTyped in interface java.awt.event.KeyListener

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handle action events
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseClicked in interface java.awt.event.MouseListener

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseEntered in interface java.awt.event.MouseListener

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseExited in interface java.awt.event.MouseListener

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mousePressed in interface java.awt.event.MouseListener

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseReleased in interface java.awt.event.MouseListener

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Handle mouse motion events
  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### clearScreen

    public void clearScreen()

  Clear screen

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Handle mouse motion events
  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

### update

    public void update(java.awt.Graphics g)

  Handle double buffering and do the real drawing.
  Overrides:
    update in class java.awt.Container

### plotBarGraph

    public void plotBarGraph(double[] data,
                             double min,
                             double max,
                             double dx)

  Plot bar graph

### plotSlidingWindowGraph

    public void plotSlidingWindowGraph(double[] data,
                                       double min,
                                       double max,
                                       double dx,
                                       double window_width)

  Plot sliding window

### getSlidingWindowHistogram

    public static int[] getSlidingWindowHistogram(double[] data,
                                                  double min,
                                                  double max,
                                                  double dx,
                                                  double window_width)

  Plot sliding window

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD